Developers
API ReferenceVacation Type

Creates a VacationType resource.

PATCH
/calendar/vacation-types/{id}

Creates a VacationType resource.

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

VacationType identifier

Request Body

The updated VacationType resource

  1. body
name?string
Lengthlength <= 100
isActive?boolean

Response Body

VacationType resource updated

  1. response
id?string
Formatuuid
name?string
Lengthlength <= 100
decrementVacation?boolean
isActive?boolean
Example Request
curl -X PATCH 'https://app.icproject.com/api/instance/demo/calendar/vacation-types/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "decrementVacation": true,  "isActive": true}